Bug 1276782 - [abrt] gnome-terminal: wl_proxy_marshal_array_constructor(): gnome-terminal-server killed by SIGABRT
[abrt] gnome-terminal: wl_proxy_marshal_array_constructor(): gnome-terminal-s...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d1461f3013b6f06b58e8ae31375...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 17:11 EDT by Adam Williamson
Modified: 2016-12-20 10:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:16:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.89 KB, text/plain)
2015-10-30 17:11 EDT, Adam Williamson
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-30 17:11 EDT, Adam Williamson
no flags Details
File: core_backtrace (6.64 KB, text/plain)
2015-10-30 17:11 EDT, Adam Williamson
no flags Details
File: dso_list (10.74 KB, text/plain)
2015-10-30 17:11 EDT, Adam Williamson
no flags Details
File: environ (901 bytes, text/plain)
2015-10-30 17:11 EDT, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-30 17:11 EDT, Adam Williamson
no flags Details
File: maps (51.59 KB, text/plain)
2015-10-30 17:11 EDT, Adam Williamson
no flags Details
File: mountinfo (3.58 KB, text/plain)
2015-10-30 17:11 EDT, Adam Williamson
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-30 17:11 EDT, Adam Williamson
no flags Details
File: open_fds (1.17 KB, text/plain)
2015-10-30 17:11 EDT, Adam Williamson
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-10-30 17:12 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2015-10-30 17:11:45 EDT
Description of problem:
Tried to drag a terminal tab out of the window to move it into a separate window, under Wayland.

Version-Release number of selected component:
gnome-terminal-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: wl_proxy_marshal_array_constructor
executable:     /usr/libexec/gnome-terminal-server
global_pid:     4956
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 wl_proxy_marshal_array_constructor at src/wayland-client.c:602
 #3 wl_proxy_marshal at src/wayland-client.c:648
 #4 wl_data_device_start_drag at /usr/include/wayland-client-protocol.h:999
 #5 _gdk_wayland_window_drag_begin at gdkdnd-wayland.c:378
 #6 gtk_drag_begin_internal at gtkdnd.c:2467
 #7 gtk_drag_begin_with_coordinates at gtkdnd.c:2637
 #8 gtk_notebook_motion_notify at gtknotebook.c:3495
 #9 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
 #10 _g_closure_invoke_va at gclosure.c:864
 #13 gtk_widget_event_internal at gtkwidget.c:7692
Comment 1 Adam Williamson 2015-10-30 17:11:49 EDT
Created attachment 1088026 [details]
File: backtrace
Comment 2 Adam Williamson 2015-10-30 17:11:50 EDT
Created attachment 1088027 [details]
File: cgroup
Comment 3 Adam Williamson 2015-10-30 17:11:51 EDT
Created attachment 1088028 [details]
File: core_backtrace
Comment 4 Adam Williamson 2015-10-30 17:11:52 EDT
Created attachment 1088029 [details]
File: dso_list
Comment 5 Adam Williamson 2015-10-30 17:11:53 EDT
Created attachment 1088030 [details]
File: environ
Comment 6 Adam Williamson 2015-10-30 17:11:54 EDT
Created attachment 1088031 [details]
File: limits
Comment 7 Adam Williamson 2015-10-30 17:11:56 EDT
Created attachment 1088032 [details]
File: maps
Comment 8 Adam Williamson 2015-10-30 17:11:57 EDT
Created attachment 1088033 [details]
File: mountinfo
Comment 9 Adam Williamson 2015-10-30 17:11:58 EDT
Created attachment 1088034 [details]
File: namespaces
Comment 10 Adam Williamson 2015-10-30 17:11:59 EDT
Created attachment 1088035 [details]
File: open_fds
Comment 11 Adam Williamson 2015-10-30 17:12:00 EDT
Created attachment 1088036 [details]
File: proc_pid_status
Comment 12 Berend De Schouwer 2015-11-24 01:26:40 EST
Another user experienced a similar problem:

start wayland (not yet tested under X11)
start gnome-terminal
start a new gnome-terminal tab
d-n-d the new tab to the background to create a second window
gnome-terminal crashes

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: wl_proxy_marshal_array_constructor
executable:     /usr/libexec/gnome-terminal-server
global_pid:     4266
kernel:         4.2.5-300.fc23.x86_64
package:        gnome-terminal-3.18.2-1.fc23
reason:         gnome-terminal-server killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Per Jonsson 2016-05-19 08:15:02 EDT
Similar problem has been detected:

Had two tabs open, tried to tear of the second tab (as you can do in chrome).

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: wl_proxy_marshal_array_constructor
executable:     /usr/libexec/gnome-terminal-server
global_pid:     3318
kernel:         4.4.9-300.fc23.x86_64
package:        gnome-terminal-3.18.3-1.fc23
reason:         gnome-terminal-server killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-11-24 07:59:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 10:16:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.